Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class AccessControlListDiscoverAccessService

    java.lang.Object
      oracle.ifs.server.AccessControlListDiscoverAccessService

All Implemented Interfaces:
  LibraryConstants, SubService

Direct Known Subclasses:
  TieAccessControlListDiscoverAccessService

    public class AccessControlListDiscoverAccessService

extends java.lang.Object
implements SubService, LibraryConstants

AccessControlListDiscoverAccessService provides the server interface to the ACL resolver subsystem.

A AccessControlListDiscoverAccessService is constructed by S_LibraryService. Its primary purpose is to manage the resolution of ACLs, specifically the management of the ACL discoverers table.

(Unpublished)

Field Summary
`protected static long` | `ACLD_DISCOVERER_ADMIN` The id for the admin user.
`protected static long` | `ACLD_DISCOVERER_WORLD` The id for "WORLD" (all users).
`protected static java.lang.String` | `ACLD_TABLENAME` Name of the ACL discoverer table
`protected static java.lang.String` | `DIRECTORYUSER_TABLENAME` Name of the DirectoryUser table
`static int` | `JDBC_BATCH_SIZE_THRESHHOLD` The maximum number of SQL Statement executed in one batch when using JDBC batching.
`protected AccessControlListIndexService` | `m_AclIndexService` The AccessControlListIndexService that encloses this instance
`protected S_LibraryService` | `m_Service` The S_LibraryService to which this instance belongs.
`protected static java.lang.String` | `NCACL_TABLENAME` Name of the non-conforming ACL table

Fields inherited from interface oracle.ifs.beans.resources.LibraryConstants
`AUDIT_EVENT_COLUMN_APPLICATIONCONTEXT, AUDIT_EVENT_COLUMN_APPLICATIONUSER, AUDIT_EVENT_COLUMN_AUXILIARYNUMBER, AUDIT_EVENT_COLUMN_AUXILIARYSTRING, AUDIT_EVENT_COLUMN_CREATEDATE, AUDIT_EVENT_COLUMN_CREATORID, AUDIT_EVENT_COLUMN_DOMAINID, AUDIT_EVENT_COLUMN_ID, AUDIT_EVENT_COLUMN_OPERATIONSUCCEEDED, AUDIT_EVENT_COLUMN_OPERATIONTYPE, AUDIT_EVENT_COLUMN_TARGETOBJECTID, AUDIT_SPECIFICATION_CUSTOM, AUDIT_SPECIFICATION_GLOBAL, AUDIT_SPECIFICATION_OBJECT, AUDIT_SUCCESS_MODE_FAILURE_ONLY, AUDIT_SUCCESS_MODE_NONE, AUDIT_SUCCESS_MODE_SUCCESS_ONLY, AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE, CAPABILITY_ADDITEM, CAPABILITY_ADDVERSION, CAPABILITY_ADMINISTER_CATEGORY, CAPABILITY_ADMINISTER_CONFIGURATION, CAPABILITY_ADMINISTER_CONTAINER, CAPABILITY_ADMINISTER_DOMAIN, CAPABILITY_ADMINISTER_LOCK, CAPABILITY_ADMINISTER_QUOTA, CAPABILITY_ADMINISTER_RECORD, CAPABILITY_ADMINISTER_ROLE, CAPABILITY_ADMINISTER_SECURITY, CAPABILITY_ADMINISTER_USER, CAPABILITY_ADMINISTER_WORKSPACE, CAPABILITY_COPY, CAPABILITY_CREATECONTAINER, CAPABILITY_CREATEFOLDER, CAPABILITY_CREATEWORKSPACE, CAPABILITY_DELETE, CAPABILITY_DISCOVER, CAPABILITY_GET_CONTENT, CAPABILITY_GETAUDITHISTORY, CAPABILITY_GETMETADATA, CAPABILITY_GETRELATION, CAPABILITY_LOCK, CAPABILITY_MOVE, CAPABILITY_SET_ATTR, CAPABILITY_SET_CONTENT, CAPABILITY_SETMETADATA, CAPABILITY_SETRELATION, EXCEPTION_INFO_AGGREGATE_ENTRIES, EXCEPTION_INFO_CONFLICTING_OBJECT_ID, EXCEPTION_INFO_DESCRIPTION_MAP, EXCEPTION_INFO_LIMIT, EXCEPTION_INFO_OBJECT_ID, EXCEPTION_INFO_PARAMETER_NAME, IFS_DOMAIN_ACCESSCONTROLLIST_BYPASSNAMEUNIQUENESSCHECK, IFS_DOMAIN_ACCESSCONTROLLIST_COMPOSITEACLSUPPORTED, IFS_DOMAIN_ACLINDEX_EVENTTARGET, IFS_DOMAIN_APPLICATION_INITIALIZERCLASSNAME, IFS_DOMAIN_AUDIT_AUDITINGENABLED, IFS_DOMAIN_AUDITING_GLOBALAUDITEVENTEXPIRATIONPERIOD, IFS_DOMAIN_AUDITING_GLOBALAUDITTYPELIST, IFS_DOMAIN_AUDITRULEEVALUATORCLASS, IFS_DOMAIN_CONFIGURATIONCATEGORYDESCRIPTORMAPCLASSNAME, IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSER, IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSERNAME, IFS_DOMAIN_CREDENTIALMANAGER_AUTOUSERPROVISIONINGENABLED, IFS_DOMAIN_CREDENTIALMANAGER_IDM, IFS_DOMAIN_CREDENTIALMANAGER_IDM_COUNT_LIMIT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_EXTERNALLY_SUPPORTED_ATTRIBUTES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_DIRECTORY_VENDOR, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_MEMBER_ATTRIBUTES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_NAME_ATTRIBUTE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_OBJECT_CLASSES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_SEARCHBASES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_HOST, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_PORT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_SSL_ENABLED, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_NAME_ATTRIBUTE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_OBJECT_CLASSES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_SEARCHBASES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_PAGE_SIZE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_SECURITY_PROVIDER_TYPE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_TIME_LIMIT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_FILE_PATH, IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_REALM, IFS_DOMAIN_CREDENTIALMANAGER_IDMENABLED, IFS_DOMAIN_DEFAULT_TIMEZONE_STRING, IFS_DOMAIN_DEFINITIONCLONINGREQUIRED, IFS_DOMAIN_DIRECTORYGROUP_BYPASSNAMEUNIQUENESSCHECK, IFS_DOMAIN_DOCUMENT_DEFINITIONOBJECTEXPIRATIONPERIOD, IFS_DOMAIN_FDKCONFIGURATIONCLASS, IFS_DOMAIN_FOLDERINDEX_EVENTTARGET, IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_GLOBALAUDITHISTORY, IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_OBJECTAUDITHISTORY, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPRIVATE, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPUBLIC, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSRESTRICTCREATION, IFS_DOMAIN_LIBRARYOBJECT_MEDIA_DEFAULTCONTENTMEDIA, IFS_DOMAIN_LIBRARYOBJECT_MEDIA_NONCONTENTMEDIA, IFS_DOMAIN_LIBRARYOBJECT_NODECONFIGURATION_DEFAULTNODECONFIGURATION, IFS_DOMAIN_LIBRARYOBJECT_SERVICECONFIGURATION_DEFAULTSERVICECONFIGURATION, IFS_DOMAIN_LIBRARYOBJECT_STORAGEGROUP_DEFAULTSTORAGEGROUP, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PRIVATE, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLIC, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLISHED, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMHARDLOCK, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMSOFTLOCK, IFS_DOMAIN_LOCALIZER_DEFAULTEXTENDEDRESOURCEBUNDLENAMES, IFS_DOMAIN_LOCKOBJECT_ENABLED, IFS_DOMAIN_LOOKUP_CLUSTERING_PROPERTIES, IFS_DOMAIN_LOOKUP_CUSTOMLOCKTYPES, IFS_DOMAIN_LOOKUP_ORACLELOCKTYPES, IFS_DOMAIN_LOOKUP_SORTOBJECTCOLLECTION, IFS_DOMAIN_OIDCREDENTIALMANAGERAGENT_SUBSCRIBERS, IFS_DOMAIN_OPERATIONACTIONSPECIFICATION_GLOBALLIST, IFS_DOMAIN_PROPERTYBUNDLE_NAME, IFS_DOMAIN_PROTOCOLS_DAV_COPYMOVETHROUGHFOLDERLINKENABLED, IFS_DOMAIN_PROTOCOLS_DAV_NULLRESOURCELOCKEXPIRATIONPERIOD, IFS_DOMAIN_PROTOCOLS_DAV_USERAGENTS, IFS_DOMAIN_RANDOMACCESSOR_EXPIRATIONPERIOD, IFS_DOMAIN_SEARCH_ATTEMPTCONTEXTSEARCHREWRITE, IFS_DOMAIN_SECURITY_SYNCHRONOUSSECURITYREFRESHENABLED, IFS_DOMAIN_SHAREDSTATEFACTORY, IFS_DOMAIN_UPGRADEINPROGRESS, IFS_DOMAIN_WORKFLOW_BPEL_CREATIONENABLED, IFS_DOMAIN_WORKFLOW_BPEL_WORKLISTURL, IFS_DOMAIN_WORKFLOW_ENABLED, IFS_DOMAIN_WORKFLOW_SCHEMANAME, IFS_DOMAIN_WS_CLEARTEXTAUTHENTICATIONREQUIRESHTTPS, IFS_HANDLER_PROPERTY_BASETIMEOFDAY, IFS_HANDLER_PROPERTY_NOTIFIEDONEVENT, IFS_HANDLER_PROPERTY_TIMERPERIOD, IFS_NODE_DISABLEDINHERITEDPROPERTYNAMES, IFS_NODE_DISABLEDINHERITEDSERVERNAMES, IFS_NODE_ENABLEDINHERITEDPROPERTYNAMES, IFS_NODE_ENABLEDINHERITEDSERVERNAMES, IFS_ORACLELOCKTYPE_KEY_CHECKOUT, IFS_ORACLELOCKTYPE_KEY_DAV, IFS_ORACLELOCKTYPE_KEY_FINALIZED, IFS_ORACLELOCKTYPE_KEY_FREEZE, IFS_ORACLELOCKTYPE_KEY_HASRECORD, IFS_ORACLELOCKTYPE_KEY_LIFECYCLE, IFS_ORACLELOCKTYPE_KEY_MANUAL, IFS_ORACLELOCKTYPE_KEY_NAMEDFREEZE, IFS_ORACLELOCKTYPE_KEY_RECORD, IFS_ORACLELOCKTYPE_KEY_RETENTION, IFS_ORACLELOCKTYPE_KEY_WORKFLOW, IFS_SERVICE_ACLCACHE_EMERGENCYTRIGGER, IFS_SERVICE_ACLCACHE_NORMALTRIGGER, IFS_SERVICE_ACLCACHE_PURGETARGET, IFS_SERVICE_ACLCACHE_SIZE, IFS_SERVICE_ACLCACHE_URGENTTRIGGER, IFS_SERVICE_AUDITCERTIFICATECACHE_PURGETARGET, IFS_SERVICE_AUDITINGENABLED, IFS_SERVICE_AUDITSTRINGCACHE_PURGETARGET, IFS_SERVICE_AURORASERVICE, IFS_SERVICE_CASESENSITIVEAUTHENTICATION, IFS_SERVICE_CHECKFORORPHANSESSIONSPERIOD, IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_READONLY_MINIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHESIZETRIGGER, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHETARGET, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTRESETLIMIT, IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MINIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHESIZETRIGGER, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHETARGET, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTRESETLIMIT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZETIMEOUT, IFS_SERVICE_CONTENTBUFFERSIZE, IFS_SERVICE_CREDENTIALMANAGER, IFS_SERVICE_CREDENTIALMANAGER_CREDENTIALNAMETOKENIZER, IFS_SERVICE_CREDENTIALMANAGER_NAMES, IFS_SERVICE_DATACACHE_EMERGENCYTRIGGER, IFS_SERVICE_DATACACHE_NORMALTRIGGER, IFS_SERVICE_DATACACHE_PURGETARGET, IFS_SERVICE_DATACACHE_SIZE, IFS_SERVICE_DATACACHE_URGENTTRIGGER, IFS_SERVICE_DEFAULTCHARACTERSET, IFS_SERVICE_DEFAULTLANGUAGE, IFS_SERVICE_EVENTEXCHANGER, IFS_SERVICE_EVENTSTATEMENTRESETLIMIT, IFS_SERVICE_JDBC_DEFAULTROWPREFETCH, IFS_SERVICE_JDBC_DRIVER, IFS_SERVICE_JDBC_DRIVERTYPE, IFS_SERVICE_JDBC_TRACINGENABLED, IFS_SERVICE_LOCKTIMEOUTPERIOD, IFS_SERVICE_MAXIMUMCONCURRENTSESSIONS, IFS_SERVICE_MAXIMUMPOOLEDCONTENTBUFFERSPERSESSION, IFS_SERVICE_ORPHANSESSIONTIMEOUTPERIOD, IFS_SERVICE_POLLFOREVENTSFROMOTHERSERVICESPERIOD, IFS_SERVICE_QUOTACHECKFREQUENCYINBYTES, IFS_SERVICE_SERVICEKEEPALIVEEVENTPERIOD, IFS_SERVICE_SESSION_BEANSOBJECTCACHE_SIZE, IFS_SERVICE_SESSION_BEANSSESSION, IFS_SERVICE_SESSION_DATACACHE_EMERGENCYTRIGGER, IFS_SERVICE_SESSION_DATACACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_DATACACHE_PURGETARGET, IFS_SERVICE_SESSION_DATACACHE_SIZE, IFS_SERVICE_SESSION_DATACACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_DEFAULTSEARCHTIMEOUTPERIOD, IFS_SERVICE_SESSION_EVENTPOLLER, IFS_SERVICE_SESSION_EVENTPOLLERPERIOD, IFS_SERVICE_SESSION_FOLDERITEM_CACHING_ENABLED, IFS_SERVICE_SESSION_FOLDERPATHCACHE_ENABLED, IFS_SERVICE_SESSION_FOLDERPATHCACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_FOLDERPATHCACHE_PURGETARGET, IFS_SERVICE_SESSION_FOLDERPATHCACHE_SIZE, IFS_SERVICE_SESSION_FOLDERPATHCACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_EMERGENCYTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_ISUNBOUNDED, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_PURGETARGET, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_SIZE, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_SERVERSESSION, IFS_SERVICE_SESSION_TRANSACTIONSTACKSIZE, IFS_SERVICE_SESSIONOPERATIONTIMEOUTPERIOD, IFS_SERVICE_TRACING_BEANSSESSIONTRACETYPE, IFS_SERVICE_TRACING_CHANNELCOUNT, IFS_SERVICE_TRACING_CHANNELLEVEL, IFS_SERVICE_TRACING_DEFAULTTRACELEVEL, IFS_SERVICE_TRACING_SERVERSESSIONTRACETYPE, IFS_SERVICE_TRACING_SERVICETRACETYPE, IFS_SERVICE_TRANSPORTBATCHSIZE, IFS_SERVICE_TRANSPORTEVENTSTOOTHERSERVICESPERIOD, IFS_SESSIONSTATE_APPLICATION_SESSIONID, IFS_SESSIONSTATE_AUDIT_DOMAIN_DEFAULT, IFS_SESSIONSTATE_OPERATIONS_COPYTABLE, IFS_SESSIONSTATE_OPERATIONS_FREETABLE, IFS_SESSIONSTATE_OPERATIONS_UPDATETABLE, LOCKTYPE_CHECKOUT, LOCKTYPE_CUSTOM, LOCKTYPE_DAV, LOCKTYPE_FAMILYHASRECORD, LOCKTYPE_FINALIZED, LOCKTYPE_FREEZE, LOCKTYPE_HAS_RECORD, LOCKTYPE_LIFECYCLE, LOCKTYPE_MANUAL, LOCKTYPE_NAMEDFREEZE, LOCKTYPE_RECORD, LOCKTYPE_RETENTION, LOCKTYPE_WORKFLOW, PUBLIC_SESSIONSTATE_APPLICATION_CONTEXT, PUBLIC_SESSIONSTATE_APPLICATION_USERIDENTIFER, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_CHECKOUT, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_DAV, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FINALIZED, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FREEZE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_HASRECORD, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_LIFECYCLE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_MANUAL, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_NAMEDFREEZE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RECORD, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RETENTION, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_WORKFLOW, SYSTEMLOCK_NAME_FINALIZED, SYSTEMLOCK_NAME_FREEZE, SYSTEMLOCK_NAME_HAS_RECORD, SYSTEMLOCK_NAME_LIFECYCLE, SYSTEMLOCK_NAME_RECORD, SYSTEMLOCK_NAME_RETENTION`

Constructor Summary
`AccessControlListDiscoverAccessService(S_LibraryService service, AccessControlListIndexService aclIndexServ)` Constructs a AccessControlListDiscoverAccessService.

Method Summary
`protected java.sql.PreparedStatement` | `constructPreparedStatement(LibraryConnection lc, java.sql.Connection conn, java.lang.String key, java.lang.String stmt)`
`void` | `dispose()` Disposes this AccessControlListDiscoverAccessService.
`protected java.sql.PreparedStatement` | `getPreparedStatement(LibraryConnection lc, java.sql.Connection conn, java.lang.String key)`
`protected void` | `removeAllAcldByAcl(S_LibrarySession session, LibraryConnection lc, java.sql.Connection conn, long aclid)`
`protected void` | `removeAllNcAclEntriesByAcl(S_LibrarySession session, LibraryConnection lc, java.sql.Connection conn, long aclid)`
`protected void` | `setAcldExplicitUsers(S_LibrarySession session, java.lang.Long acl, java.util.Vector userList)` setAcldExplicitUsers() - set ACLD entries for an ACL to reflect accessibility to the users indicated in the specified Vector.
`protected void` | `setAcldForComponentAcl(S_LibrarySession session, java.lang.Long acl, java.lang.Long componentId)` add ACLD entries for a component ACL to its composite ACL.
`protected void` | `setAcldForFreedAcl(S_LibrarySession session, java.lang.Long acl)` setAcldForFreedAcl() - delete all ACLD entries for an ACL that has been freed.
`protected void` | `setAcldWorldAccessible(S_LibrarySession session, java.lang.Long acl)` setAcldWorldAccessible() - set ACLD entries for an ACL to reflect world accessible.
`protected void` | `setAcldWorldAccessibleExceptFor(S_LibrarySession session, java.lang.Long acl, java.util.Vector exceptList)` setAcldWorldAccessibleExceptFor() - set ACLD entries for an ACL to reflect world accessible, with the exception of the users indicated in the specified Vector.
`protected void` | `setNcAclForConformingAcl(S_LibrarySession session, java.lang.Long acl)` delete all Non-conforming ACL entries for an ACL that is conforming.
`protected void` | `setNcAclForExplicitGroups(S_LibrarySession session, java.lang.Long acl, java.util.Vector groupList)` set Non-conforming ACL entries for an ACL to reflect the groups that are making it non-conforming
`protected void` | `setNcAclForFreedAcl(S_LibrarySession session, java.lang.Long acl)` delete all Non-conforming ACL entries for an ACL that has been freed.
`protected void` | `updateAclDiscovererTableNow(S_LibrarySession session, java.lang.Long aclId)` Force an update of the ACL discoverer table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JDBC_BATCH_SIZE_THRESHHOLD

    public static int JDBC_BATCH_SIZE_THRESHHOLD

  Description copied from class: `AccessControlListDiscoverAccessService`
  The maximum number of SQL Statement executed in one batch when using JDBC batching.

### ACLD_DISCOVERER_WORLD

    protected static final long ACLD_DISCOVERER_WORLD

  Description copied from class: `AccessControlListDiscoverAccessService`
  The id for "WORLD" (all users).

  See Also:
    Constant Field Values
  (Unpublished)

### ACLD_DISCOVERER_ADMIN

    protected static final long ACLD_DISCOVERER_ADMIN

  Description copied from class: `AccessControlListDiscoverAccessService`
  The id for the admin user.

  See Also:
    Constant Field Values
  (Unpublished)

### ACLD_TABLENAME

    protected static final java.lang.String ACLD_TABLENAME

  Description copied from class: `AccessControlListDiscoverAccessService`
  Name of the ACL discoverer table

  See Also:
    Constant Field Values
  (Unpublished)

### NCACL_TABLENAME

    protected static final java.lang.String NCACL_TABLENAME

  Description copied from class: `AccessControlListDiscoverAccessService`
  Name of the non-conforming ACL table

  See Also:
    Constant Field Values
  (Unpublished)

### DIRECTORYUSER_TABLENAME

    protected static final java.lang.String DIRECTORYUSER_TABLENAME

  Description copied from class: `AccessControlListDiscoverAccessService`
  Name of the DirectoryUser table

  See Also:
    Constant Field Values
  (Unpublished)

### m_Service

    protected S_LibraryService m_Service

  Description copied from class: `AccessControlListDiscoverAccessService`
  The S_LibraryService to which this instance belongs.

  (Unpublished)

### m_AclIndexService

    protected AccessControlListIndexService m_AclIndexService

  Description copied from class: `AccessControlListDiscoverAccessService`
  The AccessControlListIndexService that encloses this instance

  (Unpublished)

Constructor Detail

### AccessControlListDiscoverAccessService

    public AccessControlListDiscoverAccessService(S_LibraryService service,
                                                  AccessControlListIndexService aclIndexServ)
                                           throws IfsException

  Constructs a AccessControlListDiscoverAccessService.

  Parameters:
    `service` - the S_LibraryService that owns this instance
    `aclIndexServ` - the AccessControlListIndexService that controls this instance
  Throws:
    `IfsException` - (IFS-10060) if the operation fails
  (Unpublished)

Method Detail

### dispose

    public void dispose()
                 throws IfsException

  Description copied from class: `AccessControlListDiscoverAccessService`
  Disposes this AccessControlListDiscoverAccessService.

  Specified by:
    `dispose` in interface `SubService`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### updateAclDiscovererTableNow

    protected void updateAclDiscovererTableNow(S_LibrarySession session,
                                               java.lang.Long aclId)
                                        throws IfsException

  Description copied from class: `AccessControlListDiscoverAccessService`
  Force an update of the ACL discoverer table.

  Parameters:
    `session` - the session
    `aclId` - the ID of the ACL
  Throws:
    `IfsException` - (IFS-10065) if the operation fails
  (Unpublished)

### setAcldWorldAccessible

    protected void setAcldWorldAccessible(S_LibrarySession session,
                                          java.lang.Long acl)
                                   throws IfsException

  Description copied from class: `AccessControlListDiscoverAccessService`
  setAcldWorldAccessible() - set ACLD entries for an ACL to reflect world accessible.

  Parameters:
    `session` - requesting session
    `acl` - the ACL Id
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setAcldWorldAccessibleExceptFor

    protected void setAcldWorldAccessibleExceptFor(S_LibrarySession session,
                                                   java.lang.Long acl,
                                                   java.util.Vector exceptList)
                                            throws IfsException

  Description copied from class: `AccessControlListDiscoverAccessService`
  setAcldWorldAccessibleExceptFor() - set ACLD entries for an ACL to reflect world accessible, with the exception of the users indicated in the specified Vector.

  Parameters:
    `session` - requesting session
    `acl` - the ACL Id
    `exceptList` - the user exception list
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setAcldExplicitUsers

    protected void setAcldExplicitUsers(S_LibrarySession session,
                                        java.lang.Long acl,
                                        java.util.Vector userList)
                                 throws IfsException

  Description copied from class: `AccessControlListDiscoverAccessService`
  setAcldExplicitUsers() - set ACLD entries for an ACL to reflect accessibility to the users indicated in the specified Vector.

  Parameters:
    `session` - requesting session
    `acl` - the ACL Id
    `userList` - the user exception list
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setAcldForComponentAcl

    protected void setAcldForComponentAcl(S_LibrarySession session,
                                          java.lang.Long acl,
                                          java.lang.Long componentId)
                                   throws IfsException

  Description copied from class: `AccessControlListDiscoverAccessService`
  add ACLD entries for a component ACL to its composite ACL.

  Parameters:
    `session` - requesting session
    `acl` - the ACL Id
    `componentId` - the component ACL id
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setAcldForFreedAcl

    protected void setAcldForFreedAcl(S_LibrarySession session,
                                      java.lang.Long acl)
                               throws IfsException

  Description copied from class: `AccessControlListDiscoverAccessService`
  setAcldForFreedAcl() - delete all ACLD entries for an ACL that has been freed.

  Parameters:
    `session` - requesting session
    `acl` - the ACL Id
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### removeAllAcldByAcl

    protected void removeAllAcldByAcl(S_LibrarySession session,
                                      LibraryConnection lc,
                                      java.sql.Connection conn,
                                      long aclid)
                               throws java.sql.SQLException,
                                      IfsException

  Throws:
    `java.sql.SQLException`
    `IfsException`

### setNcAclForExplicitGroups

    protected void setNcAclForExplicitGroups(S_LibrarySession session,
                                             java.lang.Long acl,
                                             java.util.Vector groupList)
                                      throws IfsException

  Description copied from class: `AccessControlListDiscoverAccessService`
  set Non-conforming ACL entries for an ACL to reflect the groups that are making it non-conforming

  Parameters:
    `session` - requesting session
    `acl` - the ACL Id
    `groupList` - the set of groups that make this a Non-conforming ACL
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setNcAclForConformingAcl

    protected void setNcAclForConformingAcl(S_LibrarySession session,
                                            java.lang.Long acl)
                                     throws IfsException

  Description copied from class: `AccessControlListDiscoverAccessService`
  delete all Non-conforming ACL entries for an ACL that is conforming.

  Parameters:
    `session` - requesting session
    `acl` - the ACL Id
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setNcAclForFreedAcl

    protected void setNcAclForFreedAcl(S_LibrarySession session,
                                       java.lang.Long acl)
                                throws IfsException

  Description copied from class: `AccessControlListDiscoverAccessService`
  delete all Non-conforming ACL entries for an ACL that has been freed.

  Parameters:
    `session` - requesting session
    `acl` - the ACL Id
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### removeAllNcAclEntriesByAcl

    protected void removeAllNcAclEntriesByAcl(S_LibrarySession session,
                                              LibraryConnection lc,
                                              java.sql.Connection conn,
                                              long aclid)
                                       throws java.sql.SQLException,
                                              IfsException

  Throws:
    `java.sql.SQLException`
    `IfsException`

### getPreparedStatement

    protected java.sql.PreparedStatement getPreparedStatement(LibraryConnection lc,
                                                              java.sql.Connection conn,
                                                              java.lang.String key)

### constructPreparedStatement

    protected java.sql.PreparedStatement constructPreparedStatement(LibraryConnection lc,
                                                                    java.sql.Connection conn,
                                                                    java.lang.String key,
                                                                    java.lang.String stmt)
                                                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD